aim4.driver

## Interface AutoDriverPilotView

- All Known Implementing Classes:
    AutoDriver, AutoV2VDriver, ProxyDriver

      public interface AutoDriverPilotView

  Autonomous driver from the viewpoint of pilots.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `distanceToNextIntersection()` Find the distance to the next intersection in the Lane in which the Vehicle is, from the position at which the Vehicle is.
    `IntersectionManager` | `getCurrentIM()` Get the IntersectionManager with which the agent is currently interacting.
    `Lane` | `getCurrentLane()` Get the Lane the DriverAgent is currently following.
    `AutoVehicleDriverView` | `getVehicle()` Get the Vehicle this DriverAgent is controlling.
    `void` | `setCurrentLane(Lane lane)` Set the Lane the DriverAgent is currently following.

- - ### Method Detail

    - #### getVehicle

          AutoVehicleDriverView getVehicle()

      Get the Vehicle this DriverAgent is controlling.
      Returns:
        the Vehicle this DriverAgent is controlling

    - #### getCurrentLane

          Lane getCurrentLane()

      Get the Lane the DriverAgent is currently following.
      Returns:
        the Lane the DriverAgent is currently following

    - #### setCurrentLane

          void setCurrentLane(Lane lane)

      Set the Lane the DriverAgent is currently following.
      Parameters:
        `lane` - the Lane the DriverAgent should follow

    - #### getCurrentIM

          IntersectionManager getCurrentIM()

      Get the IntersectionManager with which the agent is currently interacting.
      Returns:
        the IntersectionManager with which the agent is currently interacting

    - #### distanceToNextIntersection

          double distanceToNextIntersection()

      Find the distance to the next intersection in the Lane in which the Vehicle is, from the position at which the Vehicle is. This version overrides the version in `Driver`, but only to memoize it for speed.
      Returns:
        the distance to the next intersection given the current Lane and position of the Vehicle.

Copyright © 2013. All rights reserved.